Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.kodo.impl.jdbc
Interface ConnectionFactoryConfiguration

All Known Subinterfaces:
  EEConfiguration, JDBCConfiguration

All Known Implementing Classes:
  ConfigurationConnector.AbstractConnectionFactoryConfiguration

public interface ConnectionFactoryConfiguration

Configuration that holds all the necessary information for obtaining and configuring a DataSource and Connection.

Since:
  2.5.0

Method Summary
`String` | `getConnectionDriverName()` Class name of the Connection Driver.
`String` | `getConnectionFactoryName()` The name for the data store connection factory.
`String` | `getConnectionPassword()` The password for the data store connection.
`String` | `getConnectionProperties()` Get the properties string to apply to the connection factory.
`Properties` | `getConnectionPropertiesProps()` Returns the ConnectionFactory properties as a `Properties` object.
`int` | `getConnectionTestTimeout()` The number of seconds to wait between testing connections retrieved from the connection pool.
`String` | `getConnectionURL()` The URL for the data store connection.
`String` | `getConnectionUserName()` The user name for the data store connection.
`int` | `getMaxPool()` The maximum number of connections in the connection pool.
`int` | `getMinPool()` The minimum number of connections in the connection pool.
`int` | `getMsWait()` The number of milliseconds to wait for an available connection from the connection pool before throwing a JDODatastoreException.
`int` | `getStatementCacheMaxSize()` The size of the statement re-use cache.
`int` | `getStatementExecutionTimeout()` The timout for Statement execution (in seconds).
`void` | `setConnectionDriverName(String value)` Class name of the Connection Driver.
`void` | `setConnectionFactoryName(String value)` The name for the data store connection factory.
`void` | `setConnectionPassword(String value)` The password for the data store connection.
`void` | `setConnectionProperties(String value)` Get the properties string to apply to the connection factory.
`void` | `setConnectionTestTimeout(int value)` The number of seconds to wait between testing connections retrieved from the connection pool.
`void` | `setConnectionURL(String value)` The URL for the data store connection.
`void` | `setConnectionUserName(String value)` The user name for the data store connection.
`void` | `setMaxPool(int value)` The maximum number of connections in the connection pool.
`void` | `setMinPool(int value)` The minimum number of connections in the connection pool.
`void` | `setMsWait(int value)` The number of milliseconds to wait for an available connection from the connection pool before throwing a JDODatastoreException.
`void` | `setStatementCacheMaxSize(int value)` The size of the statement re-use cache.
`void` | `setStatementExecutionTimeout(int value)` The timout for Statement execution (in seconds).

Method Detail

### getConnectionUserName

    public String getConnectionUserName()

  The user name for the data store connection.

### setConnectionUserName

    public void setConnectionUserName(String value)

  The user name for the data store connection.

### getConnectionPassword

    public String getConnectionPassword()

  The password for the data store connection.

### setConnectionPassword

    public void setConnectionPassword(String value)

  The password for the data store connection.

### getConnectionURL

    public String getConnectionURL()

  The URL for the data store connection.

### setConnectionURL

    public void setConnectionURL(String value)

  The URL for the data store connection.

### getConnectionDriverName

    public String getConnectionDriverName()

  Class name of the Connection Driver.

### setConnectionDriverName

    public void setConnectionDriverName(String value)

  Class name of the Connection Driver.

### getConnectionFactoryName

    public String getConnectionFactoryName()

  The name for the data store connection factory.

### setConnectionFactoryName

    public void setConnectionFactoryName(String value)

  The name for the data store connection factory.

### getMaxPool

    public int getMaxPool()

  The maximum number of connections in the connection pool.

### setMaxPool

    public void setMaxPool(int value)

  The maximum number of connections in the connection pool.

### getMinPool

    public int getMinPool()

  The minimum number of connections in the connection pool.

### setMinPool

    public void setMinPool(int value)

  The minimum number of connections in the connection pool.

### getMsWait

    public int getMsWait()

  The number of milliseconds to wait for an available connection from the connection pool before throwing a JDODatastoreException.

### setMsWait

    public void setMsWait(int value)

  The number of milliseconds to wait for an available connection from the connection pool before throwing a JDODatastoreException.

### getStatementExecutionTimeout

    public int getStatementExecutionTimeout()

  The timout for Statement execution (in seconds).

### setStatementExecutionTimeout

    public void setStatementExecutionTimeout(int value)

  The timout for Statement execution (in seconds).

### getConnectionPropertiesProps

    public Properties getConnectionPropertiesProps()

  Returns the ConnectionFactory properties as a `Properties` object.

### getConnectionProperties

    public String getConnectionProperties()

  Get the properties string to apply to the connection factory.

### setConnectionProperties

    public void setConnectionProperties(String value)

  Get the properties string to apply to the connection factory.

### getConnectionTestTimeout

    public int getConnectionTestTimeout()

  The number of seconds to wait between testing connections retrieved from the connection pool. Only valid when using the built-in Kodo connection pooling.

### setConnectionTestTimeout

    public void setConnectionTestTimeout(int value)

  The number of seconds to wait between testing connections retrieved from the connection pool. Only valid when using the built-in Kodo connection pooling.

### getStatementCacheMaxSize

    public int getStatementCacheMaxSize()

  The size of the statement re-use cache.

### setStatementCacheMaxSize

    public void setStatementCacheMaxSize(int value)

  The size of the statement re-use cache.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.8 generated on January 11 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.